org.apache.poi.hwmf.record

## Enum HwmfHatchStyle

- java.lang.Object
- - java.lang.Enum<HwmfHatchStyle>
  - - org.apache.poi.hwmf.record.HwmfHatchStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfHatchStyle>

      public enum HwmfHatchStyle
      extends java.lang.Enum<HwmfHatchStyle>

  The HatchStyle Enumeration specifies the hatch pattern.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HS_BDIAGONAL` ///// - A 45-degree upward, left-to-right hatch.
    `HS_CROSS` +++++ - A horizontal and vertical cross-hatch.
    `HS_DIAGCROSS` xxxxx - A 45-degree crosshatch.
    `HS_DITHEREDBKCLR` The hatch is not a pattern, but is a dithered color, defined by the current background color.
    `HS_DITHEREDCLR` The hatch is not a pattern, but is a dithered color.
    `HS_DITHEREDTEXTCLR` The hatch is not a pattern, but is a dithered color, defined by the current text (foreground) color.
    `HS_FDIAGONAL` \\\\\ - A 45-degree downward, left-to-right hatch.
    `HS_HORIZONTAL` ----- - A horizontal hatch
    `HS_SOLIDBKCLR` The hatch is not a pattern, but is a solid color, defined by the current background color.
    `HS_SOLIDCLR` The hatch is not a pattern, but is a solid color.
    `HS_SOLIDTEXTCLR` The hatch is not a pattern, but is a solid color, defined by the current text (foreground) color.
    `HS_VERTICAL` ||||| - A vertical hatch

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HwmfHatchStyle` | `valueOf(int flag)`
    `static HwmfHatchStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfHatchStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HS_HORIZONTAL

          public static final HwmfHatchStyle HS_HORIZONTAL

      ----- - A horizontal hatch

    - #### HS_VERTICAL

          public static final HwmfHatchStyle HS_VERTICAL

      ||||| - A vertical hatch

    - #### HS_FDIAGONAL

          public static final HwmfHatchStyle HS_FDIAGONAL

      \\\\\ - A 45-degree downward, left-to-right hatch.

    - #### HS_BDIAGONAL

          public static final HwmfHatchStyle HS_BDIAGONAL

      ///// - A 45-degree upward, left-to-right hatch.

    - #### HS_CROSS

          public static final HwmfHatchStyle HS_CROSS

      +++++ - A horizontal and vertical cross-hatch.

    - #### HS_DIAGCROSS

          public static final HwmfHatchStyle HS_DIAGCROSS

      xxxxx - A 45-degree crosshatch.

    - #### HS_SOLIDCLR

          public static final HwmfHatchStyle HS_SOLIDCLR

      The hatch is not a pattern, but is a solid color.

    - #### HS_DITHEREDCLR

          public static final HwmfHatchStyle HS_DITHEREDCLR

      The hatch is not a pattern, but is a dithered color.

    - #### HS_SOLIDTEXTCLR

          public static final HwmfHatchStyle HS_SOLIDTEXTCLR

      The hatch is not a pattern, but is a solid color, defined by the current text (foreground) color.

    - #### HS_DITHEREDTEXTCLR

          public static final HwmfHatchStyle HS_DITHEREDTEXTCLR

      The hatch is not a pattern, but is a dithered color, defined by the current text (foreground) color.

    - #### HS_SOLIDBKCLR

          public static final HwmfHatchStyle HS_SOLIDBKCLR

      The hatch is not a pattern, but is a solid color, defined by the current background color.

    - #### HS_DITHEREDBKCLR

          public static final HwmfHatchStyle HS_DITHEREDBKCLR

      The hatch is not a pattern, but is a dithered color, defined by the current background color.

  - ### Method Detail

    - #### values

          public static HwmfHatchStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfHatchStyle c : HwmfHatchStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfHatchStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HwmfHatchStyle valueOf(int flag)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.